### Method

# EBackend ServerSideSource set_remote_deletable

since: 3.6

#### Declaration [src]

    void
    e_server_side_source_set_remote_deletable (
      EServerSideSource* source,
      gboolean remote_deletable
    )

#### Description [src]

Indicates whether `source` can be used to delete resources on a remote server. Typically this is only set to `TRUE` for sources created by an `ECollectionBackend` to represent a remote resource.

If `TRUE`, the RemoteDeletable D-Bus interface is exported at the object path for `source`. If `FALSE`, the RemoteDeletable D-Bus interface is unexported at the object path for `source`, and any attempt by clients to call `e_source_remote_delete()` will fail.

Unlike the `ESource:removable` and `ESource:writable` properties, this is enforced for both clients of the registry D-Bus server and within the registry D-Bus service itself.

Available since: 3.6

Sets property | `EBackend.ServerSideSource:remote-deletable`

#### Parameters

`remote_deletable`

  Type: `gboolean`

  Whether to export the RemoteDeletable interface.